'''
Copyright (c) 2015 Thomas Haslwanter <thomas.haslwanter@fh-linz.at>

For the problems with the relative imports, see:
    http://stackoverflow.com/questions/16981921/relative-imports-in-python-3
'''

import importlib

__author__ = "Thomas Haslwanter <thomas.haslwanter@fh-linz.at"
__license__ = "BSD 2-Clause License"
__version__ = "0.11.1"

__all__ = ['fits', 'imus', 'markers', 'quat', 'rotmat', 'signals', 'sounds',
'ui', 'vector', 'viewer']

from thLib.signals import savgol

for _m in __all__:
    importlib.import_module('.'+_m, package='thLib')
    
# curDir = os.getcwd()
# os.chdir(os.path.dirname(__file__))
# from signals import savgol
#     
# del module
# os.chdir(curDir)
# 
